![]() |
API Documentation
|
where {orgGroupId} is the ID of an organization and {planId} is the ID of a plan.
GET - used to retrieve information about a plan (specified by planId) configured in an organization (specified by orgGroupId).PUT - used to modify the fields of an existing plan (specified by planId) in an organization (specified by orgGroupId).DELETE - used to delete an existing plan (specified by planId) in an organization (specified by orgGroupId).Note: The
GETandDELETEmethods take no parameters.
This API endpoint serves a number of purposes:
planId) configured in an organization (specified by orgGroupId). A plan's ID can be obtained by calling the GET method of the <access-service>/api/v1/organisations/{orgGroupId}/plans API endpoint, which retrieves a list of field information for all current plans configured in an organization (specified by orgGroupId).planId) in an organization (specified by orgGroupId). These fields include the plan's name, description, quota value (in MiB) and a flag that determines whether or not this plan will be the new default plan.planId) in an organization (specified by orgGroupId). This API endpoint supports requests utilizing Covata user accounts with the following roles (as described in the Organization Administrator's Guide) and conditions:
{orgGroupId} in the request's URL.The Covata Platform's resources available to a Covata user meeting the criteria above is determined by the access token submitted in the header of requests to this endpoint.
The appropriate access token as the Bearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...The following header is required if the body of the request has a JSON object:
Content-Type: application/jsonThe following optional parameters can be sent in the body of the PUT request, each as individual members of a JSON object:
true) or not (false) the plan being updated in the organization (specified by {orgGroupId} in the URL) will be flagged as the new default plan for this organization. If the request succeeded, then an HTTP response status 200 OK is returned.
For successful requests only, a JSON-formatted response containing the following members is also returned:
true) or not (false) this (updated) plan in the organization (specified by {orgGroupId} in the URL) is flagged as the default plan for this organization.